<?php
/*
* 2007-2013 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Open Software License (OSL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/osl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author PrestaShop SA <contact@prestashop.com>
*  @copyright  2007-2013 PrestaShop SA
*  @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/

class PdfOrderSlipControllerCore extends FrontController
{
	protected $display_header = false;
	protected $display_footer = false;

	protected $order_slip;


	public function postProcess()
	{
		if (!$this->context->customer->isLogged())
			Tools::redirect('index.php?controller=authentication&back=order-follow');

		if (isset($_GET['id_order_slip']) && Validate::isUnsignedId($_GET['id_order_slip']))
			$this->order_slip = new OrderSlip($_GET['id_order_slip']);

		if (!isset($this->order_slip) || !Validate::isLoadedObject($this->order_slip))
			die(Tools::displayError('Order return not found.'));

		else if ($this->order_slip->id_customer != $this->context->customer->id)
			die(Tools::displayError('Order return not found.'));

	}

	public function display()
	{
		$pdf = new PDF($this->order_slip, PDF::TEMPLATE_ORDER_SLIP, $this->context->smarty);
		$pdf->render();
	}
}

